#手持羊毛
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:white_wool"}}] run function game:game/white_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:purple_wool"}}] run function game:game/purple_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:yellow_wool"}}] run function game:game/yellow_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:magenta_wool"}}] run function game:game/magenta_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:lime_wool"}}] run function game:game/lime_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:light_blue_wool"}}] run function game:game/light_blue_wool
execute if entity @a[tag=player,nbt={SelectedItem:{id:"minecraft:orange_wool"}}] run function game:game/orange_wool
#羊毛效果
execute as @a at @s if block ~ ~-0.01 ~ minecraft:yellow_wool run effect give @s minecraft:speed 5 2 true
execute as @a at @s if block ~ ~-0.01 ~ minecraft:lime_wool run effect give @s minecraft:jump_boost 5 2 true
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:black_wool unless entity @e[tag=gamecore,tag=gamestart] run function game:game/lobbydie
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:black_wool if entity @e[tag=gamecore,tag=gamestart] run function game:game/die
execute as @a[tag=player,scores={bowtime=..1000}] at @s if block ~ ~-0.01 ~ minecraft:orange_wool run scoreboard players add @s bowtime 15
execute as @a at @s if block ~ ~-0.01 ~ minecraft:light_blue_wool run scoreboard players set @s[scores={bowtime=..2999}] bowtime 3000
execute as @a at @s if block ~ ~-0.01 ~ minecraft:purple_wool run scoreboard players set @s bowtime 1000
execute as @a at @s if block ~ ~-0.01 ~ minecraft:magenta_wool run effect give @s minecraft:slow_falling 3 1 true
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:diamond_block run function game:game/gamewin
#玻璃效果
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:yellow_stained_glass positioned ~ ~-1 ~ run scoreboard players add @e[distance=..1.1,tag=yellow_stained_glass] time 2
scoreboard players remove @e[scores={time=1..},tag=yellow_stained_glass] time 1
execute as @e[scores={time=3},tag=yellow_stained_glass] at @s run setblock ~ ~ ~ air destroy
execute as @e[tag=yellow_stained_glass] at @s if block ~ ~ ~ air run function game:game/yellow_glass
execute as @e[scores={time=3},tag=yellow_stained_glass] run scoreboard players set @s time 0
#玻璃重製
execute as @e[tag=white_stained_glass] at @s if block ~ ~ ~ air run function game:game/white_glass
execute as @e[tag=orange_stained_glass] at @s if block ~ ~ ~ honey_block run function game:game/orange_glass
execute as @e[tag=lime_stained_glass] at @s if block ~ ~ ~ slime_block run function game:game/lime_glass
execute as @e[tag=light_blue_stained_glass] at @s if block ~ ~ ~ water run function game:game/light_blue_glass
#拿取羊毛
execute as @e[tag=magenta_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.2 minecraft:magenta_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Magenta Color \",\"color\":\"light_purple\",\"bold\":\"false\"}]"}}
execute as @e[tag=orange_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.3 minecraft:orange_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Orange Color \",\"color\":\"gold\",\"bold\":\"false\"}]"}}
execute as @e[tag=yellow_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.4 minecraft:yellow_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Yellow Color \",\"color\":\"yellow\",\"bold\":\"false\"}]"}}
execute as @e[tag=lime_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.5 minecraft:lime_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Green Color \",\"color\":\"green\",\"bold\":\"false\"}]"}}
execute as @e[tag=light_blue_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.6 minecraft:light_blue_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Light Blue Color \",\"color\":\"aqua\",\"bold\":\"false\"}]"}}
execute as @e[tag=purple_point_give] at @s if entity @a[tag=player,distance=..1] run replaceitem entity @a[tag=player] container.7 minecraft:purple_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Purple Color \",\"color\":\"purple\",\"bold\":\"false\"}]"}}
execute as @e[tag=magenta_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
execute as @e[tag=orange_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
execute as @e[tag=yellow_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
execute as @e[tag=lime_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
execute as @e[tag=light_blue_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
execute as @e[tag=purple_point_give] at @s if entity @a[tag=player,distance=..1] run kill @s
#羊毛旋轉
execute as @e[tag=magenta_point_give] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=orange_point_give] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=yellow_point_give] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=lime_point_give] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=light_blue_point_give] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=purple_point_give] at @s run tp @s ~ ~ ~ ~5 ~
#箭矢冷卻
execute as @a[tag=player,scores={bow=1..,bowtime=..2000}] run scoreboard players set @a bowtime 0
execute as @a[tag=player,scores={bow=1..,bowtime=2000..}] run scoreboard players set @a bowtime 1050
execute as @a[tag=player,scores={bow=1..}] run clear @s minecraft:arrow 1
execute as @a[tag=player,scores={bow=1..}] run scoreboard players set @a bow 0
scoreboard players add @a[tag=player,scores={bowtime=..1000}] bowtime 10
execute as @a[tag=player,scores={bowtime=1000..1100}] run replaceitem entity @a[tag=player] container.10 minecraft:arrow{display:{Name:"[{\"text\":\"\"},{\"text\":\"Arrow \",\"color\":\"white\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={bowtime=3000..}] run replaceitem entity @a[tag=player] container.10 minecraft:arrow{display:{Name:"[{\"text\":\"\"},{\"text\":\"Arrow \",\"color\":\"white\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={bowtime=1000..1100}] run scoreboard players set @a bowtime 1200
execute store result bossbar minecraft:bow value run scoreboard players get @a[tag=player,limit=1] bowtime
#箭矢偵測
tag @e[type=arrow,nbt={inGround:1b}] add arrow
execute as @e[tag=arrow] run function game:game/arrow
#大廳
execute as @a[tag=player,scores={lobby=1..}] run function game:game/die
execute as @a[scores={lobby=1..}] run scoreboard players set @s lobby 0
execute if entity @a[tag=player,team=green,scores={change=1..}] if entity @a[gamemode=spectator,team=green] run function game:game/change
execute if entity @a[tag=player,team=green,scores={change=1..}] unless entity @a[gamemode=spectator,team=green] run tellraw @a [{"text":"綠隊發起交換選手，無奈的是沒有一位隊友願意陪他參與比賽","color":"green"}]
execute if entity @a[tag=player,team=red,scores={change=1..}] if entity @a[gamemode=spectator,team=red] run function game:game/change
execute if entity @a[tag=player,team=red,scores={change=1..}] unless entity @a[gamemode=spectator,team=red] run tellraw @a [{"text":"紅隊發起交換選手，無奈的是沒有一位隊友願意陪他參與比賽","color":"red"}]
execute as @a[scores={change=1..}] run scoreboard players set @s change 0
execute if entity @a[team=red,tag=clock] if entity @a[team=green,tag=clock] run scoreboard players set s time 10 
execute if entity @a[team=red,tag=clock] if entity @a[team=green,tag=clock] run tellraw @a [{"text":"雙方皆同意提前結束階段，建築時間剩餘10秒","color":"green"}]
execute if entity @a[team=red,tag=clock] if entity @a[team=green,tag=clock] run playsound minecraft:entity.player.levelup block @a 0 0 0 9999
execute if entity @a[team=red,tag=clock] if entity @a[team=green,tag=clock] run tag @a remove clock
execute as @a[team=red,tag=!clock,scores={clock=1..}] run tellraw @a [{"text":"紅隊已建築完成，雙方都同意即可提前進入下一階段","color":"red","bold":"true"}]
execute as @a[team=red,tag=!clock,scores={clock=1..}] run playsound minecraft:entity.player.levelup block @a 0 0 0 9999
execute as @a[team=red,tag=!clock,scores={clock=1..}] run clear @a[team=red] clock
execute as @a[team=red,tag=!clock,scores={clock=1..}] run tag @a[team=red] add clock
execute as @a[team=green,tag=!clock,scores={clock=1..}] run tellraw @a [{"text":"綠隊已建築完成，雙方都同意即可提前進入下一階段","color":"green","bold":"true"}]
execute as @a[team=green,tag=!clock,scores={clock=1..}] run playsound minecraft:entity.player.levelup block @a 0 0 0 9999
execute as @a[team=green,tag=!clock,scores={clock=1..}] run clear @a[team=green] clock
execute as @a[team=green,tag=!clock,scores={clock=1..}] run tag @a[team=green] add clock
execute as @a[scores={clock=1..}] run scoreboard players set @s clock 0
#時間
execute if entity @e[tag=gamecore,tag=gamestart] run scoreboard players add time time 1
execute if entity @e[tag=gamecore,tag=gamestart] run execute if score time time matches 20.. run scoreboard players remove s time 1
execute if entity @e[tag=gamecore,tag=gamestart] run execute if score time time matches 20.. run scoreboard players set time time 0
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage1] run title @a actionbar [{"bold":"true","color":"white","text":"建築剩餘時間 : "},{"bold":"true","color":"gold","score":{"name":"s","objective":"time"}},{"bold":"true","color":"white","text":" 秒"}]
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage1] run execute if score s time matches ..0 run function game:game/stage2
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage2] run title @a actionbar [{"bold":"true","color":"white","text":"測試剩餘時間 : "},{"bold":"true","color":"gold","score":{"name":"s","objective":"time"}},{"bold":"true","color":"white","text":" 秒"}]
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage2] run execute if score s time matches ..0 run function game:game/stage3
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage3] run title @a actionbar [{"bold":"true","color":"white","text":"測試剩餘時間 : "},{"bold":"true","color":"gold","score":{"name":"s","objective":"time"}},{"bold":"true","color":"white","text":" 秒"}]
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage3] run execute if score s time matches ..0 run function game:game/stage4
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage4] run title @a actionbar [{"bold":"true","color":"white","text":"挑戰剩餘時間 : "},{"bold":"true","color":"gold","score":{"name":"s","objective":"time"}},{"bold":"true","color":"white","text":" 秒"}]
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage4] run execute if score s time matches ..0 run function game:game/stage5
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage5] run title @a actionbar [{"bold":"true","color":"white","text":"挑戰剩餘時間 : "},{"bold":"true","color":"gold","score":{"name":"s","objective":"time"}},{"bold":"true","color":"white","text":" 秒"}]
execute if entity @e[tag=gamecore,tag=gamestart,tag=stage5] run execute if score s time matches ..0 run function game:game/over
#丟出羊毛
execute as @a[tag=player,scores={droparrow=1..}] run replaceitem entity @a[tag=player] container.10 minecraft:arrow{display:{Name:"[{\"text\":\"\"},{\"text\":\"Arrow \",\"color\":\"white\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={dropbow=1..}] run replaceitem entity @a[tag=player] weapon.offhand bow{Unbreakable:1,HideFlags:7,display:{Name:"[{\"text\":\"\"},{\"text\":\"Color Bow \",\"color\":\"green\",\"bold\":\"false\"}]"},Enchantments:[{id:"minecraft:protection",lvl:1}]} 1
execute as @a[tag=player,scores={dropwhite=1..}] run replaceitem entity @a[tag=player] container.1 minecraft:white_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"White Color \",\"color\":\"white\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={droporange=1..}] run replaceitem entity @a[tag=player] container.3 minecraft:orange_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Orange Color \",\"color\":\"gold\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={dropyellow=1..}] run replaceitem entity @a[tag=player] container.4 minecraft:yellow_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Yellow Color \",\"color\":\"yellow\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={droplime=1..}] run replaceitem entity @a[tag=player] container.5 minecraft:lime_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Green Color \",\"color\":\"green\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={dropmagenta=1..}] run replaceitem entity @a[tag=player] container.2 minecraft:magenta_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Magenta Color \",\"color\":\"light_purple\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={droplight_blue=1..}] run replaceitem entity @a[tag=player] container.6 minecraft:light_blue_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Light Blue Color \",\"color\":\"aqua\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={droppurple=1..}] run replaceitem entity @a[tag=player] container.7 minecraft:purple_wool{display:{Name:"[{\"text\":\"\"},{\"text\":\"Purple Color \",\"color\":\"dark_purple\",\"bold\":\"false\"}]"}}
execute as @a[tag=player,scores={dropbow=1..}] run scoreboard players set @s dropbow 0
execute as @a[tag=player,scores={dropwhite=1..}] run scoreboard players set @s dropwhite 0
execute as @a[tag=player,scores={droporange=1..}] run scoreboard players set @s droporange 0
execute as @a[tag=player,scores={dropyellow=1..}] run scoreboard players set @s dropyellow 0
execute as @a[tag=player,scores={droplime=1..}] run scoreboard players set @s droplime 0
execute as @a[tag=player,scores={dropmagenta=1..}] run scoreboard players set @s dropmagenta 0
execute as @a[tag=player,scores={droplight_blue=1..}] run scoreboard players set @s droplight_blue 0
execute as @a[tag=player,scores={droppurple=1..}] run scoreboard players set @s droppurple 0
execute as @a[tag=player,scores={droparrow=1..}] run scoreboard players set @s droparrow 0
kill @e[type=item]
#旋轉
execute as @e[tag=t] at @s run tp @s ~ ~ ~ ~3 ~
#禁止隱形方塊
clear @a minecraft:barrier
#效果
effect give @a minecraft:resistance 10 250 true
effect give @a minecraft:night_vision 9999 1 true
effect give @a minecraft:weakness 9999 99 true
effect give @a saturation 10 1 true
difficulty easy
#記錄點
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:gold_block run kill @e[tag=gold_block] 
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:gold_block run summon area_effect_cloud ~ ~ ~ {Duration:2147483647,Particle:"block air",Tags:["gold_block"]}
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:gold_block run playsound minecraft:entity.player.levelup block @a 0 0 0 9999
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:gold_block run tellraw @a [{"text":"已存取紀錄點","color":"green","bolod":"true"}]
execute as @a[tag=player] at @s if block ~ ~-0.01 ~ minecraft:gold_block run setblock ~ ~-0.01 ~ minecraft:bedrock
#登入
execute as @a[scores={leave=1..}] run tag @s remove log
execute as @a[scores={leave=1..}] run tag @s remove player
execute as @a[scores={leave=1..}] run scoreboard players set @s leave 0
execute as @a[tag=!log] at @s run tp @s 0 11 0
execute as @a[tag=!log] at @s run team leave @s
execute as @a[tag=!log] at @s run playsound minecraft:entity.player.levelup block @a 0 0 0 9999
execute as @a[tag=!log] at @s run tellraw @a [{"text":"[歡迎] ","color":"gold"},{"text":"","extra":[{"selector":"@s"}],"color":"green"},{"text":" 加入了遊戲~","bold":"true","color":"white"}]
execute as @a[tag=!log] at @s run tag @s add log